Skip to content

Push Provisioning for Apple Pay

Request

Returns encrypted cardholder information and other metadata needed for Apple Pay push provisioning.

This API is not available for sandbox testing.

Security
UserToken
Headers
x-tw-twcard-card-tokenstring, (uuid)required

The card token identifying which card to retrieve push provisioning data for.

Example:a3f90c98-1cd1-4488-9050-2e32c696f8fa
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
certificatesArray of stringsrequired

DER encoded X.509 ECC leaf and sub CA certificates, each encoded in Base64.

Example:
[ "MIICpTCCAkqgAwIBAgIIB...", "MIICpTCCAYmgAwIBAgIIX..." ]
noncestringrequired

One time use nonce generated by Apple Servers and HEX encoded on iOS app.

Example:"a1b2c3d4e5f6"
nonceSignaturestringrequired

The device and account specific signature of the nonce generated by Apple and HEX encoded on iOS app.

Example:"f6e5d4c3b2a1"
curl -i -X POST \
  https://twcard.wise.com/twcard-data/v1/push-provisioning/encrypted-payload/apple-pay \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'x-tw-twcard-card-token: a3f90c98-1cd1-4488-9050-2e32c696f8fa' \
  -d '{
    "certificates": [
      "MIICpTCCAkqgAwIBAgIIB...",
      "MIICpTCCAYmgAwIBAgIIX..."
    ],
    "nonce": "a1b2c3d4e5f6",
    "nonceSignature": "f6e5d4c3b2a1"
  }'

Responses

Encrypted cardholder information for Apple Pay.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
encryptedPassDatastring

Encrypted authentication data following card scheme and wallet provider specifications. The response is encoded in Base64.

Example:"443232323637393045DDE321469537FE461E824AA55BA67BF645454330A32433610DE1D1461475BEB6D815F31764DDC20298BD779FBE37EE5AB3CBDA9F9825E1"
activationDatastring

Encrypted activation data following card scheme and wallet provider specifications. The response is encoded in Base64.

Example:"KDlTthhZTGufMY…….xPSUrfmqCHXaI9wOGY="
ephemeralKeystring

Ephemeral key used to encrypt authentication data. The response is encoded in Base64.

Example:"A1B2C3D4E5F6112233445566"
Response
{ "encryptedPassData": "443232323637393045DDE321469537FE461E824AA55BA67BF645454330A32433610DE1D1461475BEB6D815F31764DDC20298BD779FBE37EE5AB3CBDA9F9825E1", "activationData": "KDlTthhZTGufMY…….xPSUrfmqCHXaI9wOGY=", "ephemeralKey": "A1B2C3D4E5F6112233445566" }